### Method

# GtkSource View set_mark_attributes

#### Declaration [src]

    void
    gtk_source_view_set_mark_attributes (
      GtkSourceView* view,
      const gchar* category,
      GtkSourceMarkAttributes* attributes,
      gint priority
    )

#### Description [src]

Sets attributes and priority for the `category`.

#### Parameters

`category`

  Type: `const gchar*`

  The category.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`attributes`

  Type: `GtkSourceMarkAttributes`

  Mark attributes.

  The data is owned by the caller of the method.

`priority`

  Type: `gint`

  Priority of the category.